// TAABB.h - [2020-04-13 11:57:46]
#ifndef _TAABB_H_
#define _TAABB_H_

#include "common.h"
#include "CFTTVector32.h"

/*
00198E10 TAABB::Expand(CFTTVector32 const&)
00198E28 TAABB::Inflate(float const&)
001991E4 TAABB::Expand(TAABB const&)
0019F554 TAABB::Inflate(CFTTVector32 const&)
001A4E12 TAABB::Overlap(TAABB const&,TAABB const&)
001A50D0 TAABB::SurfaceArea()
*/

class TAABB {
public:
  void Expand(CFTTVector32 const &a2);  // 00198E10
  void Expand(TAABB const &a2);         // 001991E4
  void Inflate(CFTTVector32 &a2);       // 0019F554
  void Inflate(float const &a2);        // 00198E28
  int Overlap(TAABB *a2);               // 001A4E12
  float SurfaceArea();                  // 001A50D0

  CFTTVector32 Vector32_0;
  CFTTVector32 Vector32_C;
};

#endif  //_TAABB_H_